System.Design 1.0.5000.0 2.0.0.0 System.ComponentModel.Design.ComponentDesigner System.ComponentModel.Design.IRootDesigner System.ComponentModel.Design.ITypeDescriptorFilterService System.Drawing.Design.IToolboxUser System.Windows.Forms.Design.IOleDragClient

provides a base class for designers of root design documents that support nested components. In addition to the methods and functionality inherited from the class, implements the interface to provide a root-level design mode view for the associated component, and any nested components.

The root-level design mode view for a or is typically provided by a built-in root designer. A custom implementation is required to provide a view for other types of root components in design mode.

You can associate a designer with a type using a . For an overview of customizing design time behavior, see Extending Design-Time Support.

Base designer class for extending the design mode behavior of a root design document that supports nested components.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Windows.Forms.Control To be added. To be added.

  Gets the control for the designer.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  If a tool is supported, it will be enabled in the toolbox when the designer regains focus. Otherwise, it will be disabled. Once a tool is marked as enabled or disabled it cannot be queried again.

  Gets a value indicating whether the specified tool is supported by the designer.

  true if the tool should be enabled on the toolbox; false if the document designer doesn't know how to use the tool.

  The to test for toolbox support. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Initializes the designer with the specified component.

  The to associate with the designer. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This interface method override adds a non-browsable, design-time only boolean property named "TrayLargeIcon" to this designer's component at design time. This property is used by the component tray.

  Adjusts the set of properties the component will expose through a .

  An that contains the properties for the class of the component. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Object ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An object that represents the view for this designer.

  A that indicates a particular view technology.
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Design.ViewTechnology[] To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true if the set of filtered attributes is to be cached; false if the filter service must query again.

  The component to filter the attributes of. A dictionary of attributes that can be modified.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true if the set of filtered events is to be cached; false if the filter service must query again.

  The component to filter events for. A dictionary of events that can be modified.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true if the set of filtered properties is to be cached; false if the filter service must query again.

  The component to filter properties for. A dictionary of properties that can be modified.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true if the tool is supported by the toolbox and can be enabled; false if the document designer does not know how to use the tool.

  The to be tested for toolbox support.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The to select.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.IComponent To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Windows.Forms.Control `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Windows.Forms.Control To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the component tray for the designer is in auto-arrange mode.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the component tray for the designer is in large icon mode.

  1.0.5000.0
  2.0.0.0